SQLite/Spatialite nicht implementiert ?


#1

Hallo,

dadurch dass Postgis extension für Postgresql nicht implementiert ist, hatte ich die Idee mit SQLite bzw. Spatialite zu arbeiten.

Leider bekomme ich bei testen diese Meldungen:

Warning: SQLite3::loadExtension() [sqlite3.loadextension]: SQLite Extension are disabled in /users/… on line 16

Warning: SQLite3::exec() [sqlite3.exec]: no such function: InitSpatialMetadata in /users/… on line 21
SQLite version: 3.8.10.2

Warning: SQLite3::query() [sqlite3.query]: Unable to prepare statement: 1, no such function: spatialite_version in /users/… on line 29

Fatal error: Call to a member function fetchArray() on boolean in /users/… on line 30

SQLite ist also auch nicht verfügbar ?

Viele Grüße,

Jean


#2

Versuch doch mal,ueber PDO auf SQLite zuzugreifen.
Ansonsten kannst du auch MySQL benutzen.
Die mysqli_ Funktionen sind verfuegbar,das nutze ich selbst.
Ueber PDO sollte MySQL ebenfalls funktionieren.


#3

Er will postgis/spatialite haben…beides erfordert zusaetzliche libs die hier (afaik) nicht vorhanden sind. Jedenfalls sind es keinen unix std libs.